# class Matrix

#### package js.html.svg

Available on HTML5

Many of SVG's graphics operations utilize 2x3 matrices of the form:

Documentation SVGMatrix by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/SVGMatrix

### Variables

###

`a:Float`

###

`b:Float`

###

`c:Float`

###

`d:Float`

###

`e:Float`

###

`f:Float`

### Methods

###

`flipX ():Matrix`

###

`flipY ():Matrix`

###

`inverse ():Matrix`

Throws:

`null` | DOMError

###

`multiply (secondMatrix:Matrix):Matrix`

###

`rotate (angle:Float):Matrix`

###

`rotateFromVector (x:Float, y:Float):Matrix`

Throws:

`null` | DOMError

###

`scale (scaleFactor:Float):Matrix`

###

`scaleNonUniform (scaleFactorX:Float, scaleFactorY:Float):Matrix`

###

`skewX (angle:Float):Matrix`

Throws:

`null` | DOMError

###

`skewY (angle:Float):Matrix`

Throws:

`null` | DOMError

###

`translate (x:Float, y:Float):Matrix`